Bug 103188 - gethostbyname_r corrupts memory
gethostbyname_r corrupts memory
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-27 11:23 EDT by satish chandra
Modified: 2016-11-24 10:08 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-11 03:59:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description satish chandra 2003-08-27 11:23:27 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT; YComp 5.0.2.6)

Description of problem:
gethostbyname_r@GLIBC_2.0 <mailto:gethostbyname_r@GLIBC_2.0> () from libc.so.6
gethostbyname_r@@GLIBC_2.1.2 <mailto:gethostbyname_r@@GLIBC_2.1.2> () from 
libc.so.6
__nss_hostname_digits_dots () from libc.so.6
__res_ninit () from libc.so.6
__res_vinit () from libc.so.6

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.try calling gethostbyname_r call in any test program
2.
3.
    

Actual Results:  dumps core

Expected Results:  ip addr

Additional info:

--i don't have much to say
Comment 1 Jakub Jelinek 2003-09-03 06:10:44 EDT
What NSS modules you're using (cat /etc/nsswitch.conf at least), can you write a simple
testcase which reproduces your problems?
gethostbyname_r certainly works here, so we need more details.
Comment 2 satish chandra 2003-09-05 05:19:24 EDT
Jakub, thanks for your attention, please let me know the glibc version which you
are using. I will give test program, once I confirm on the glibc version.
Comment 3 Jakub Jelinek 2003-09-05 08:13:28 EDT
Usually the latest (rawhide, taroon). ATM glibc-2.3.2-{78,80}.
Comment 4 Ulrich Drepper 2003-10-03 14:20:48 EDT
Ping.  What's the status of this?  Did you try a newer release?
Comment 5 satish chandra 2003-10-28 10:58:03 EST
I was having problem glib-2.3.2-27.9. As per this url 
(https://rhn.redhat.com/errata/RHBA-2003-136.html) i don't see later version of 
glibc published

R you suggesting me to use glibc from open source . We ideally won'
t use open source glibc for our product. We would prefer one from RedHat itself
Comment 6 Ulrich Drepper 2003-11-04 16:24:52 EST
There is newer code at

  ftp://people.redhat.com/jakub/glibc/errata/2.3.2-27.9.4/           
                                                                    

Alternatively use the rawhide code (soon in the official Fedora Core 1
release).

Try it and let us know.
Comment 7 satish chandra 2003-11-11 03:54:54 EST
Problem had something to do with OS install on m/c. After re-install 
of OS problem is not reproducible.

Thanks for you support
Comment 8 Ulrich Drepper 2003-11-11 03:59:05 EST
User problem.  Closing.

Note You need to log in before you can comment on or make changes to this bug.